## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# CollectionDeleteGuard< CollectionType, DeleteFunctorType > Class Template Reference

List of all members.

## Public Member Functions

- CollectionDeleteGuard (CollectionType &theCollection)
- ~CollectionDeleteGuard ()
- void release ()

### template<class CollectionType, class DeleteFunctorType>
class CollectionDeleteGuard< CollectionType, DeleteFunctorType >

## Constructor & Destructor Documentation

template<class CollectionType, class DeleteFunctorType>
CollectionDeleteGuard< CollectionType, DeleteFunctorType >::CollectionDeleteGuard | ( | CollectionType & | theCollection | ) |

template<class CollectionType, class DeleteFunctorType>
CollectionDeleteGuard< CollectionType, DeleteFunctorType >::~CollectionDeleteGuard | ( |  | ) |

## Member Function Documentation

template<class CollectionType, class DeleteFunctorType>
void CollectionDeleteGuard< CollectionType, DeleteFunctorType >::release | ( |  | ) |

The documentation for this class was generated from the following file:

- STLHelper.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.